// A Sky Factory example
//title Sea bound
//Best View: Width =800 Height =400

//___Sky Factory Data___

//boxes
#declare BoxL=<-250000,-500,-90> ;
#declare BoxH=<250000,500,20000> ;
#declare BoxD=1;
#declare Boxn=7;

//background
#declare BackPig=7;
#declare BackRev=0;
#declare BackRotate=<-10,20,0> ;
#declare BackTurb=<.2,.2,.2>;
#declare BackMap=0.9;
#declare Back_Dc=<0.8,0.8,0.7> ;

//Clouds
//Clouds for Lower box
#declare CloudLn=0;
#declare CloudLf=2;
 #declare CloudLn_Dc=<1,1,1> ;
 #declare CloudLf_Dc=<1,1,1> ;
 #declare CloudLn_Ps=<200,9,200> ;
 #declare CloudLf_Ps=<900,90,900> ;
  #declare CloudL_Mv=<5,0,0> ;
  #declare CloudL_Rot=<0,0,0> ;
  #declare CloudL_Range=<0.1,0.5> ;
  #declare CloudL_Turb=<0,0,0> ;
  #declare CloudL_Amb=<0.9,0.9,0.9> ;
  #declare CloudL_Shadow=0;

//Clouds for Middle box
#declare CloudMn=4;
#declare CloudMf=0;
 #declare CloudMn_Dc=<1,1,1> ;
 #declare CloudMf_Dc=<0.5,0.4,0.4> ;
 #declare CloudMn_Ps=<500,9,200> ;
 #declare CloudMf_Ps=<2000,2100,2000> ;
  #declare CloudM_Mv=<5,0,0> ;
  #declare CloudM_Rot=<0,0,0> ;
  #declare CloudM_Range=<0.2,0.4> ;
  #declare CloudM_Turb=<0,0,0> ;
  #declare CloudM_Amb=<0.9,0.9,1> ;
  #declare CloudM_Shadow=0;

//Clouds for Higher box
#declare CloudHn=2;
#declare CloudHf=0;
 #declare CloudHn_Dc=<1,1,1> ;
 #declare CloudHf_Dc=<1,1,1> ;
 #declare CloudHn_Ps=<200,9,200> ;
 #declare CloudHf_Ps=<2000,2100,2000> ;
  #declare CloudH_Mv=<5,0,0> ;
  #declare CloudH_Rot=<0,0,0> ;
  #declare CloudH_Range=<0.1,0.5> ;
  #declare CloudH_Turb=<0,0,0> ;
  #declare CloudH_Amb=<1,1,1> ;
  #declare CloudH_Shadow=0;

// use the factory
#declare Get=1;
#include"Sky_Factory.pov"
 object{LRClouds} //from Sky factory
 sky_sphere{pigment{Sky_Pigment}}//from Sky factory


 global_settings {max_trace_level 20}

 camera{location <0,0,0>
        look_at <0,0,1>
        right x*image_width/image_height
        }
 light_source{<0,0,48000> 
              color rgb 1 
              parallel point_at<0,0,0>
              rotate BackRotate}

 plane{y,-10 pigment{rgb<.7,.9,1>}
       normal {agate scale <100,50,40> rotate y*30}
       finish {ambient<.1,.15,.2>
               diffuse .65  
               reflection.1 
               specular.4 roughness 1/20}
      
      }
      
 //sun
 sphere{0,100 pigment{rgb<1,1,.8>} 
       finish{ambient 1 diffuse 0}
       translate z*5000 rotate BackRotate
       no_shadow}
 
